package inf119.gamestate;


import java.io.*;

public class FileWrite {

	FileWriter writer;
	PrintWriter out;
	
	public FileWrite(String filename) throws IOException
	{
		 writer = new FileWriter(filename);
		 out = new PrintWriter(writer);		
		
	}
	
	//Writes one line. method is overloaded to take in many differen type of data
	public void writeLine(String line) throws IOException
	{
		out.println(line);

	}
	
	public void writeLine(Double line) throws IOException
	{
		out.println(line);

	}
	
	public void writeLine(int line) throws IOException
	{
		out.println(line);

	}
	
	//Writes one token of string. method is overloaded to take in many differen type of data
	//Automatically gives 1 space after each token
	public void writeToken(String line) throws IOException
	{
		out.print(line + " ");

	}
	
	public void writeToken(Double line) throws IOException
	{
		out.print(line + " ");

	}
	
	public void writeToken(int line) throws IOException
	{
		out.print(line + " ");

	}
	
	//Terminate the current line by writing the line separator string
	public void endLine()
	{
		out.println();
	}
	
	//Close file stream
	public void close() throws IOException
	{
		out.close();
	}

}

