package inf119;


public class Constants {

	//Mode the user can choose to play
	//Used by the loader menu
	public static final int FREEMODE = 1;
	public static final int SCENARIOMODE =2;
	public static final int LOADMODE =3;
	//public static final int SAVEMODE =4;
	
	//Difficulty settings of game
	public static final int UNDECIDEDDIFFICULTY = 0;
	public static final int EASYDIFFICULTY = 1;
	public static final int NORMALDIFFICULTY = 2;
	public static final int HARDDIFFICULTY =3;
	
	//% of fuel the ship gets based upon difficulty settings
	public static final double PERCENTAGEOFUELONEASY = 1;
	public static final double PERCENTAGEOFUELONNORMAL = .75;
	public static final double PERCENTAGEOFUELONHARD = .50;	
	
	//Amount of bonus the user earns based upon difficulty settings
	public static final int EASYDIFFICULTYBONUS = 100;
	public static final int NORMALDIFFICULTYBONUS = 500;
	public static final int HARDDIFFICULTYBONUS =1000;
	
	public static final int EASYLANDINGBONUS = 100;
	public static final int NORMALLANDINGBONUS = 250;
	public static final int HARDLANDINGBONUS = 500;
	
	//public static final double EASYLANDINGPERECENTAGE = 1;
	public static final double NORMALLANDINGPERECENTAGE  = .6;
	public static final double HARDLANDINGPERECENTAGE =.25;
	
	//Fuel bonus
	public static final int FuelBonus =100;
	
	//States the game can be in
	public static final int MENUSTATE = 1; //Allows the user to choose settings
	public static final int LOADMAPSTATE = 2; //Loads the game
	public static final int LIVEGAMESTATE = 3; //Game play mode
	public static final int PAUSESTATE = 4; //When the game is paused
	public static final int END_SAFELANDING_GAMESTATE = 5;//Enters this mode when the user lands safely
	public static final int END_UNSAFELANDING_GAMESTATE = 6; //Enters this mode when the user lands on a slope
	public static final int END_DEATHLANDING_GAMESTATE = 7;//Enters this mode when the user doesnt land safely
	public static final int QUITGAMESTATE =8; //Enters this mode when the user quits the game from the menu
	//Landing states
	public static final int NO_LANDING = -1;
	public static final int UNSAFE_LANDING = 0;
	public static final int SAFE_LANDING = 1;
	
	
	
}
