package inf119.gamestate;


import java.io.*;
import java.io.IOException;



public class FileRead{
	
	public FileRead()
	{
		
		
	}
	
	//Reads in a given file and returns the contents in a string array
	//Decides the size of the string array based upon the size parameter
	public String[] readFile(String name, String type, int size) throws FileNotFoundException, IOException 
	{
		 FileReader reader = new FileReader(name);
		 BufferedReader in = new BufferedReader(reader);
		
		 String[] information;
		
		if(type.equals("shipfile"))
		{
			information = new String[size];
			
			for(int i=0; i<size; i++)
			{
				information[i] = in.readLine();
			}
		}		
		else if(type.equals("planet"))
		{
			information = new String[size];
			
			for(int i=0; i<size; i++)
			{
				information[i] = in.readLine();
			}			
		}
		
		else if(type.equals("game"))
		{
			information = new String[size];
			
			for(int i=0; i<size; i++)
			{
				information[i] = in.readLine();
			}				
		}
		else
		{
			information = new String[size];
			
			for(int i=0; i<size; i++)
			{
				
				information[i] = in.readLine();
				
			}				
		}
		
		return information;
		
	}
	
	//Calculates the number of lines in the given file
	public int numberOfLinesInFile(String name) throws FileNotFoundException, IOException 
	{
		 FileReader sizeReader = new FileReader(name);
		 BufferedReader sizeIn = new BufferedReader(sizeReader);
		 		 
		 int size = 0;
		 
		 while(sizeIn.readLine()!=null)
		 {
			 size++;
		 }	
		 
		 return size;
	}

}

